/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: FindString.c /main/7 1995/07/14 11:15:50 drk $"
#endif
#endif
/***********************************************************************
  	@(#)FindString.c	1.3.1.1	Date:1/22/91
  	Author: TAT
	History:
	   03/30/90 SJS Add to sccs tree
	Calls:

	Summary:
            Finds a substring in a string

            INPUTS
                in_string     - The string to search in 
                search_string - The string to match in in_string

            OUTPUTS
                none

            RETURNS
                nothing
************************************************************************/

int findstr(in_string,search_string)
char in_string[],search_string[];
{
    char *ch, *sch = search_string;
    char *save_ch = in_string;

    while (*sch && *save_ch) {
        for (ch=save_ch, sch=search_string; 
             *sch && *ch && *ch == *sch; 
             ch++, sch++);
        if (*sch)
            save_ch++;
        ch = save_ch;
    }
    return (int)(save_ch - in_string);

} /* End findstr() */
