/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: IsWidgMapped.c /main/7 1995/07/14 11:17:26 drk $"
#endif
#endif
/***********************************************************************
  	@(#)IsWidgMapped.c	1.2.1.1	Date:1/22/91
  	Author: SJS
	History:
            07/13/90 SJS add to SCCS

	Calls:

	Summary:
            Returns mapping status of the widget referred to by the widget
	    info that is passed in

            INPUTS
		- widget_info : information about current widget 

            OUTPUTS
                none
  
            RETURNS
		   returns true or false depending on whether the widget
	    is mapped or not
************************************************************************/

#include "mvslib.h"

int mvsIsWidgetMapped(widget_info)
MvsWidgetInfoRecord *widget_info;
{
    return( xisIsWidgetMapped(widget_info->widget));

} /* End mvsIsWidgetMapped() */
