/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: mvsSetValNCk.c /main/7 1995/07/14 11:23:18 drk $"
#endif
#endif
/***********************************************************************
	Calls:

	Summary:
		This function sets the requested resources to the
	desired values. No checking is done here. (In other words,
	there is no check to determine if the changes were actually made)
************************************************************************/
#include "mvslib.h"

void mvsSetValuesNoCheck(widget_info,args,nargs)
MvsWidgetInfoRecord *widget_info;
ArgList args;
Cardinal nargs;
{
    int i,j;
    XtCallbackList cb_list;
    int t;
    short num_resources;
    MvsResourceInfoRecord *resource_info;
    Widget widget;
    MvsArgVal *mvs_resources;

    num_resources = widget_info->widget_class_info->num_resources;
    resource_info = widget_info->widget_class_info->resource_info;
    widget = widget_info->widget;
    mvs_resources = widget_info->mvs_resources;

    for(i=0; i<nargs; i++) {
        for (j=0;
             (j<num_resources)&&strcmp(args[i].name,resource_info[j].name);
             j++);

        if (j<num_resources) {
            t = resource_info[j].type_code;
            switch (mvsTypeInfo[t].ref_type) {

            case RefCallbackList:
                break;

	    case RefValue:
                break;

	    default:
                break;
	    }
        }
    } /* for() */

    XtSetValues(widget,args,nargs);

    mvsSetLocalValues(widget_info,args,&nargs);

} /* End mvsSetValuesNoCheck() */
