/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: GetPntrLoc.c /main/7 1995/07/14 11:35:24 drk $"
#endif
#endif
/***********************************************************************
  	@(#)GetPntrLoc.c	1.3.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/24/90 SJS add to sccs
	Calls:

	Summary:
            Returns the current mouse pointer location relative to the root.
           
        INPUTS:
            none
        
        OUTPUTS:
            root_x,root_y     - position of pointer relative to the root window

        RETURNS:
            void
************************************************************************/
#include "xislib.h"

void xisGetPointerLocation(root_x,root_y)
int *root_x,*root_y;
{
    static char routine_name[] = "xisGetPointerLocation";
    Window tmp_window,root_return;
    int window_x,window_y;
    unsigned int button_mask;

    xisUseSessionInfo(routine_name);

    if (!XQueryPointer(xisDisplay,xisRootWindow,&root_return,
                       &tmp_window,root_x,root_y,
                       &window_x,&window_y,&button_mask)) {
        (*xisErrorMsg)("Pointer not on root window anymore!!\n");
        exit(-1);
    }
} /* End xisGetPointerLocation() */

