/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: IsActiveWid.c /main/7 1995/07/14 11:39:03 drk $"
#endif
#endif
/***********************************************************************
  	@(#)IsActiveWid.c	1.2.1.1	Date:1/22/91
  	Author: TAT
	History:
            06/21/90 TAT add to sccs
	Calls:

	Summary:
            Returns True if the current widget is the action widget 
            (that is, the widget that produced the event).

        INPUTS:
            none
        
        OUTPUTS:
            none

        RETURNS:
            True = current widget is the action widget
            False = otherwise
************************************************************************/

#include <AutoMessages.h>
#include "xislib.h"

int xisIsActiveWidget()
{
    if (!xisInform.is_valid)
        AutoMessage(_AutoMessages[WARNMSG50]);

    return (xisInform.current_obj == xisInform.action_obj);

} /* End xisIsActiveWidget() */
