/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: postSW2.c /main/7 1995/07/14 12:03:22 drk $"
#endif
#endif
/*
 *	file: postSW2.c
 *
 *	Program posting a scrolled window with a Drawing Area child.
 */

#include <testlib.h>


Widget  ScrolledWindow1;
Widget  DrawingArea1;
Widget  ArrowB1;
Widget	dialog;


static void postit(w,cad,cld)
Widget w;
XtPointer cad;
XtPointer cld;
{
	XtManageChild(ScrolledWindow1);
	XtManageChild(dialog);
}


void  main(argc, argv)
    int     argc;
    char  **argv;
{
    register int  n;
    Arg           args[MAX_ARGS];
	Widget		  pb;

    
    CommonTestInit(argc, argv);

	n = 0;
	pb = XmCreatePushButton(Shell1, "pb", args, n);
	XtManageChild(pb);
	XtAddCallback(pb, XmNactivateCallback, postit, NULL);

	n = 0;
	dialog = XmCreateBulletinBoardDialog(Shell1, "BBDialog", args, n);

    n = 0;
    XtSetArg(args[n], XmNscrollingPolicy, XmAUTOMATIC);  	n++;
    XtSetArg(args[n], XmNscrollBarDisplayPolicy, XmAS_NEEDED);  n++;
    XtSetArg(args[n], XmNshadowThickness, 2);  			n++;
    XtSetArg(args[n], XmNscrollBarPlacement, XmTOP_LEFT); 	n++;
    XtSetArg(args[n], XmNdefaultPosition, False);		n++;
    XtSetArg(args[n], XmNspacing, 20);				n++;
    XtSetArg(args[n], XmNbackground, CommonGetColor("white"));	n++;
    XtSetArg(args[n], XmNwidth,  300);  			n++;
    XtSetArg(args[n], XmNheight, 300);  			n++;
    ScrolledWindow1 = XmCreateScrolledWindow
				(dialog, "ScrolledWindow1", args, n);

    n = 0;
	XtSetArg(args[n], XmNwidth, 400); n++;
	XtSetArg(args[n], XmNheight, 400); n++;
    DrawingArea1 = XmCreateDrawingArea
				(ScrolledWindow1, "DrawingArea", args, n); 
    XtManageChild(DrawingArea1);

    XtRealizeWidget(Shell1);
 
    XtAppMainLoop(app_context);
}
