/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
/*   $XConsortium: ColorM1.h /main/7 1995/07/13 18:35:04 drk $ */
/*
*  (c) Copyright 1989, DIGITAL EQUIPMENT CORPORATION, MAYNARD, MASS. */

#ifdef SYSV
#include <string.h>
#else
#include <strings.h>
#endif /* SYSV */

#include <Mrm/MrmAppl.h>


#define NULLW ((Widget)0)
#define NULLCB ((XmAnyCallbackStruct *)0)

#define MAX_ENTRY_SIZE 500
/* scales show between 0 and 255, color values are between 0 and 65535 */
#define COLOR_PCT_MULTIPLIER 256

#define XtNfontText "fontText"
#define XtNrgbTextFile "rgbTextFile"
#define XtNmreTypeFile "mreTypeFile"
#define XtNprintHierarchy "printHierarchy"
#define XtNmergeOnSave "mergeOnSave"
#define XtNinternalPixmaps "internalPixmaps"
#define XtCFontText "FontText"
#define XtCRgbTextFile "RgbTextFile"
#define XtCMreTypeFile "MreTypeFile"
#define XtCPrintHierarchy "PrintHierarchy"
#define XtCMergeOnSave "MergeOnSave"
#define XtCInternalPixmaps "InternalPixmaps"
#define XmStringDefCreate(s) XmStringLtoRCreate((s),XmSTRING_DEFAULT_CHARSET)

typedef struct {
  Pixel fg;
  char *font_text;
  char *rgb_text_file;
  char *mre_type_file;
  Boolean print_hierarchy;
  Boolean merge_on_save;
  Boolean internal_pixmaps;
  } ApplicationData, *ApplicationDataPtr;

Colormap cmap;
Display *dpy;
Widget main_selection_box_id;
Widget popped_by;   
MrmHierarchy	s_MrmHierarchy;		
ApplicationData data;
Boolean no_colors_available;

