/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: Scale3.c /main/6 1995/07/13 19:11:24 drk $"
#endif
#endif
/*
*  (c) Copyright 1987, 1988, 1989 HEWLETT-PACKARD COMPANY */
#include <testlib.h>

Widget	RowColumn1,
	Scale1,
	Scale2,
	Scale3;


void  main(argc, argv)
    int     argc;
    char  **argv;
{
    register int  n;
    Arg           args[MAX_ARGS];
    XmString      tcs;

    CommonTestInit(argc, argv);
    
    n = 0;
    XtSetArg(args[n], XmNwidth,  400);  n++;
    XtSetArg(args[n], XmNheight, 300);  n++;
    XtSetValues(Shell1, args, n);
    

#ifdef DEFECT
    XtRealizeWidget(Shell1);
#endif

    n = 0;
    XtSetArg(args[n], XmNorientation, XmHORIZONTAL);  n++;
    XtSetArg(args[n], XmNpacking, XmPACK_COLUMN);  n++;
    RowColumn1 = XmCreateRowColumn(Shell1, "RowColumn1", args, n);
    XtManageChild(RowColumn1);

    n = 0;
    XtSetArg(args[n], XmNminimum, -100);  n++;
    tcs = XmStringLtoRCreate("Scale 1", XmSTRING_DEFAULT_CHARSET);
    XtSetArg(args[n], XmNtitleString, tcs);  n++;
    XtSetArg(args[n], XmNshowValue, TRUE);  n++;
    XtSetArg(args[n], XmNdecimalPoints, 2);  n++;
    XtSetArg(args[n], XmNwidth, 60);  n++;
    XtSetArg(args[n], XmNheight, 200);  n++;
    XtSetArg(args[n], XmNscaleWidth, 30);  n++;
    XtSetArg(args[n], XmNscaleHeight, 200);  n++;
    XtSetArg(args[n], XmNhighlightOnEnter, TRUE);  n++;
    Scale1 = XmCreateScale(RowColumn1, "Scale1", args, n);
    XtManageChild(Scale1);

    XmStringFree(tcs);

    n = 0;
    XtSetArg(args[n], XmNminimum, -100);  n++;
    tcs = XmStringLtoRCreate("Scale 2", XmSTRING_DEFAULT_CHARSET);
    XtSetArg(args[n], XmNtitleString, tcs);  n++;
    XtSetArg(args[n], XmNshowValue, TRUE);  n++;
    XtSetArg(args[n], XmNdecimalPoints, 2);  n++;
    XtSetArg(args[n], XmNwidth, 60);  n++;
    XtSetArg(args[n], XmNheight, 200);  n++;
    XtSetArg(args[n], XmNscaleWidth, 30);  n++;
    XtSetArg(args[n], XmNscaleHeight, 200);  n++;
    XtSetArg(args[n], XmNhighlightOnEnter, TRUE);  n++;
    Scale2 = XmCreateScale(RowColumn1, "Scale2", args, n);
    XtManageChild(Scale2);

    XmStringFree(tcs);

    n = 0;
    XtSetArg(args[n], XmNminimum, -100);  n++;
    tcs = XmStringLtoRCreate("Scale 3", XmSTRING_DEFAULT_CHARSET);
    XtSetArg(args[n], XmNtitleString, tcs);  n++;
    XtSetArg(args[n], XmNshowValue, TRUE);  n++;
    XtSetArg(args[n], XmNdecimalPoints, 2);  n++;
    XtSetArg(args[n], XmNwidth, 60);  n++;
    XtSetArg(args[n], XmNheight, 200);  n++;
    XtSetArg(args[n], XmNscaleWidth, 30);  n++;
    XtSetArg(args[n], XmNscaleHeight, 200);  n++;
    XtSetArg(args[n], XmNhighlightOnEnter, TRUE);  n++;
    Scale3 = XmCreateScale(RowColumn1, "Scale3", args, n);
    XtManageChild(Scale3);

    XmStringFree(tcs);

#ifndef DEFECT
    XtRealizeWidget(Shell1);
#endif

    CommonPause();
    CommonPause();

    XtAppMainLoop(app_context);
}
