/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: IsActiveKey.c /main/7 1995/07/14 11:38:55 drk $"
#endif
#endif
/***********************************************************************
  	@(#)IsActiveKey.c	1.6.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/30/90 SJS add to sccs
            06/11/90 PSN fixed modifier key mask checking bug
	Calls:

	Summary:
            Returns True if the key is the active key.

        INPUTS:
            key_code - the key in question (KeySpace, KeyReturn, etc.)
        
        OUTPUTS:
            none

        RETURNS:
            True = specified key is the active key
            False = otherwise
************************************************************************/

#include <AutoMessages.h>
#include "xislib.h"

int xisIsActiveKey(modifier_keys,key_code)
unsigned int modifier_keys;
int key_code;
{
    if (!xisInform.is_valid)
        AutoMessage(_AutoMessages[WARNMSG49]);

    return ( (xisInform.key_code == key_code) && 
	     (xisInform.modifier_key_status == modifier_keys) );

} /* End xisIsActiveKey() */
