/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: IsWidgSelect.c /main/7 1995/07/14 11:40:46 drk $"
#endif
#endif
/***********************************************************************
  	@(#)IsWidgSelect.c	1.3.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/30/90 SJS add to sccs
	Calls:

	Summary:
            Returns True if widget is selected. This means that the mouse
        button was pressed while over the widget

        INPUTS:
            none
        
        OUTPUTS:
            none

        RETURNS:
            True = current widget selected
            False = current widget not selected
************************************************************************/

#include <AutoMessages.h>
#include "xislib.h"

int xisIsWidgetSelected(bool)
int bool;
{
   int result;

   if (!xisInform.is_valid) 
       AutoMessage(_AutoMessages[WARNMSG58]);

   if (xisInform.current_obj->id.widget == xisState.selected_widget &&
       xisInform.current_obj->id.object_type == xisState.selected_object_type &&
       xisInform.current_obj->id.instance == xisState.selected_instance)
       
       result = bool;
   else
       result = (!bool);

   return (result);

} /* End xisIsWidgetSelected() */
