/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: FReadShort.c /main/7 1995/07/14 11:44:18 drk $"
#endif
#endif
/***********************************************************************
  	@(#)FReadShort.c	1.4.1.1	Date:1/22/91
  	Author: TAT
	History:
	   03/30/90 SJS Add to sccs tree
	Calls:

	Summary:
            Read a short integer from a file in an architecture independent way.

            INPUTS
                fd - file descriptor

            OUTPUTS
                none

            RETURNS
                short interger value
************************************************************************/

#include "vislib.h"

unsigned short fread_short(fd)
FILE *fd;
{
    unsigned short value1,value2;
    char *ch1 = (char *)&value1;
    char *ch2 = (char *)&value2;

    fread(&value1,sizeof(short),1,fd);

    if (LEAST_SIGNIFICANT_BYTE_FIRST) {
        ch2[0] = ch1[1];
        ch2[1] = ch1[0];
    }
    else
        value2 = value1;

    return(value2);

} /* End fread_short() */
