/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: GetCh.c /main/7 1995/07/14 11:50:04 drk $"
#endif
#endif
/***********************************************************************
  	@(#)GetCh.c	1.4.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/24/90 SJS add to SCCS
	Calls:

	Summary:
            This function reads in a character from the visual hash
        file.
************************************************************************/

#include "vislib.h"

short mvsGetCh(fp,inbuf,ch)
FILE *fp;
unsigned char inbuf[];
unsigned char *ch;
{
    static int i,j;
    static num_bytes_in_buf;
    static done;

    if (fp == (FILE *)NULL) {
        i = 0;
        num_bytes_in_buf = 0;
        done = 0;
        return 1;
    }

    if (i >= num_bytes_in_buf) {
        i = 0;
        if (mvsBigChars) {
            for (j=0; !feof(fp) && j<INBUF_SIZE; j++) {
                inbuf[i++]=fgetc(fp);
            }
            num_bytes_in_buf = i;
            i = 0;
            done = feof(fp);
        }
        else {
            if (!feof(fp))
                num_bytes_in_buf = fread(inbuf,sizeof(char),INBUF_SIZE, fp);
            else
                done = 1;
        }
    }
    *ch = inbuf[i++];
    return (!done);

} /* End mvsGetCh() */
