/* $XConsortium: DNDDrag.c /main/5 1995/07/15 21:00:05 drk $ */
/*
 * COPYRIGHT NOTICE
 * Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 * ALL RIGHTS RESERVED (MOTIF).  See the file named COPYRIGHT.MOTIF
 * for the full copyright text.
 * 
 */
/*
 * HISTORY
 */
#include <testlib.h>



void
StartDrag (Widget w, XtPointer client_data, XtPointer call_data)
{
   XmDragStartCallbackStruct *DragStruct = (XmDragStartCallbackStruct *)call_data
;
   if (strcmp (UserData,"1") == 0)
     {
       DragStruct->doit = False;
       printf ("Sorry, can't drag!\n");
     }
   else if (strcmp (UserData,"2") == 0)
       DragStruct->doit = True;

}


void  
main (int argc, char **argv)
{

    int n;
    Arg args[MAX_ARGS];
    XmString tcs;
    Widget Frame1;
    Widget Label1;
    Widget xmDisplay;


    CommonTestInit(argc, argv);

    if (UserData == NULL)
      UserData = "1";

    xmDisplay = XmGetXmDisplay (display);

    XtAddCallback (xmDisplay,XmNdragStartCallback,StartDrag,(XtPointer)NULL);
    
    n = 0;
    Frame1 = XmCreateFrame(Shell1, "Frame1", args, n);
    XtManageChild(Frame1);


    
    n = 0;
    tcs = XmStringCreate("Non-draggable label", XmFONTLIST_DEFAULT_TAG);
    XtSetArg(args[n], XmNlabelString, tcs);  n++;
    XtSetArg(args[n], XmNalignment, XmALIGNMENT_CENTER); n++;
    XtSetArg(args[n], XmNrecomputeSize, TRUE); n++;
    Label1 = XmCreateLabel(Frame1, "Label1", args, n);
    XtManageChild(Label1);

    XmStringFree(tcs);

    XtRealizeWidget (Shell1);

    CommonPause();
    CommonPause();

    XtAppMainLoop(app_context);

  }


