/* $XConsortium: XmeUserMessages.c /main/4 1995/07/15 21:05:31 drk $ */
/*
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */
/*
 * HISTORY
 */


#ifdef REV_INFO
#ifndef lint
static char rcsid[] = ""
#endif
#endif

#include <testlib.h>
#include <Xm/XmosP.h>
#include <Xm/XmP.h>

Widget Btn1;

void  main (argc, argv)
int argc;
char **argv;
{
  Boolean            trace = False, test_passed;
  register int       n;
  Arg                args[MAX_ARGS];
  String             dirname;

  CommonTestInit(argc, argv);
    
  n = 0;
  XtSetArg(args[n], XmNwidth,  200);  n++;
  XtSetArg(args[n], XmNheight, 200);  n++;
  XtSetValues(Shell1, args, n);

  XtRealizeWidget(Shell1);

  /* The following test checks XmeGetHomeDirName by printing the
     returned value and manually checking it at runtime */
  dirname = XmeGetHomeDirName();
  printf("home directory name: %s\n",dirname);
  CommonPause();

  /* The following test checks XmeWarning by printing a warning 
     message and verifying it at runtime */
  n = 0;
  Btn1 = XmCreateArrowButton(Shell1,"button1", args, n);
  XmeWarning(Btn1,"Sample message text.");
  CommonPause();

  /* The following tests check the results of XmeNamesAreEqual */
  printf("Begin testing XmeNamesAreEqual\n");
  test_passed = True;
  /* test if Xm prefix is ignored */
  if (!XmeNamesAreEqual("Xm1000TH_INCHES","1000th_inches")) {
    printf("ERROR - comparing \"Xm1000TH_INCHES\" and \"1000th_inches\"\n");
    test_passed = False;
  }
  /* test if case is ignored */
  if (!XmeNamesAreEqual("MixedCase","mixedcase")) {
    printf("ERROR - comparing \"MixedCase\" and \"mixedcase\"\n");
    test_passed = False;
  }
  /* test if uppercase fails for test_str */
  if (XmeNamesAreEqual("Capitalized","Capitalized")) {
    printf("ERROR - comparing \"Capitalized\" and \"Capitalized\"\n");
    test_passed = False;
  }
  if (test_passed)
    printf("\tAll tests passed\n");
  CommonPause();

  CommonPause();	/* quit */
  XtAppMainLoop(app_context);
  XtDestroyWidget(Btn1);
}
