/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: ErrorDia1.c /main/8 1995/07/13 18:56:51 drk $"
#endif
#endif
/*
*  (c) Copyright 1987, 1988, 1989 HEWLETT-PACKARD COMPANY */

#include <signal.h>

#include <X11/StringDefs.h>


#include <testlib.h>

static Widget message1, message2;

void
DestroyCall(w, client, call)
    Widget w;
    XtPointer client, call;
{
    printf("Destroyed MessageBox\n");
}

void
MapFunction (w,d1,d2)
    Widget w;
    XtPointer d1;
    XtPointer d2;
{
    static int test = 0;

    switch (test) {
	case 0: XtManageChild (message1);
		test++;
		break;
	case 1: XtManageChild (message2);
		test = 0;
		break;
    }
}

void
UnmapFunction (w,d1,d2)
    Widget w;
    XtPointer d1;
    XtPointer d2;
{
    XtUnmanageChild (w);
    printf ("Enter Message 1 \n");
}

void
UnmapFunction2 (w,d1,d2)
    Widget w;
    XtPointer d1;
    XtPointer d2;
{
    XtUnmanageChild (w);
    printf ("Cancel Message 2 \n");
}

void
UnmapFunction3 (w,d1,d2)
    Widget w;
    XtPointer d1;
    XtPointer d2;
{
    XtUnmanageChild (w);
    printf ("Enter Message 2 \n");
}

void main (argc, argv)
int argc;
char **argv;

{
    Widget w2;


    /*  initialize toolkit  */
    CommonTestInit(argc, argv);
 
    w2 = XmCreatePushButton (Shell1, "mapbutton", NULL, 0);
    XtManageChild (w2);

    message1 = XmCreateErrorDialog(w2, "message1", NULL, 0);

    XtAddCallback (w2, XmNactivateCallback, MapFunction, NULL);

    XtAddCallback (message1, XmNdestroyCallback, DestroyCall, NULL);
    XtAddCallback (message1, XmNokCallback, UnmapFunction, NULL);

    message2 = XmCreateErrorDialog(w2, "message2", NULL, 0);

    XtAddCallback (message2, XmNokCallback, UnmapFunction3, NULL);
    XtAddCallback (message2, XmNcancelCallback, UnmapFunction2, NULL);

    XtRealizeWidget(Shell1);

    CommonPause();

    XtDestroyWidget(message1);

    CommonPause();

    /* begin test for PIR 3698 */

    message1 = XmCreateErrorDialog(w2, NULL, NULL, 0);
    XtManageChild (message1);

    CommonPause();

    /* end test for PIR 3698 */

    XtAppMainLoop(app_context);
}
